apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    kubemacpool.io/transaction-timestamp: '2025-09-10T08:46:21.145811491Z'
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
  resourceVersion: '369008'
  name: fedora-crimson-cricket-53
  uid: 36c54833-5a96-4026-8be0-92ed248c0f54
  creationTimestamp: '2025-09-10T08:46:21Z'
  generation: 1
  managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          .: {}
          'f:dataVolumeTemplates': {}
          'f:instancetype':
            .: {}
            'f:name': {}
          'f:preference':
            .: {}
            'f:name': {}
          'f:runStrategy': {}
          'f:template':
            .: {}
            'f:metadata':
              .: {}
              'f:labels':
                .: {}
                'f:network.kubevirt.io/headlessService': {}
            'f:spec':
              .: {}
              'f:architecture': {}
              'f:domain':
                .: {}
                'f:devices':
                  .: {}
                  'f:autoattachPodInterface': {}
                  'f:disks': {}
                  'f:interfaces': {}
              'f:networks': {}
              'f:nodeSelector':
                .: {}
                'f:kubernetes.io/arch': {}
              'f:subdomain': {}
              'f:volumes': {}
      manager: Mozilla
      operation: Update
      time: '2025-09-10T08:46:21Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:kubevirt.io/latest-observed-api-version': {}
            'f:kubevirt.io/storage-observed-api-version': {}
          'f:finalizers':
            .: {}
            'v:"kubevirt.io/virtualMachineControllerFinalize"': {}
      manager: virt-controller
      operation: Update
      time: '2025-09-10T08:46:21Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          'f:preferenceRef':
            .: {}
            'f:controllerRevisionRef':
              .: {}
              'f:name': {}
            'f:kind': {}
            'f:name': {}
          'f:printableStatus': {}
          'f:runStrategy': {}
          'f:conditions': {}
          .: {}
          'f:ready': {}
          'f:instancetypeRef':
            .: {}
            'f:controllerRevisionRef':
              .: {}
              'f:name': {}
            'f:kind': {}
            'f:name': {}
          'f:volumeSnapshotStatuses': {}
          'f:observedGeneration': {}
          'f:created': {}
          'f:desiredGeneration': {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: '2025-09-10T08:46:36Z'
  namespace: default
  finalizers:
    - kubevirt.io/virtualMachineControllerFinalize
spec:
  dataVolumeTemplates:
    - metadata:
        creationTimestamp: null
        name: fedora-crimson-cricket-53-volume
      spec:
        sourceRef:
          kind: DataSource
          name: fedora-arm64
          namespace: openshift-virtualization-os-images
        storage:
          resources:
            requests:
              storage: 690216Ki
  instancetype:
    kind: virtualmachineclusterinstancetype
    name: u1.medium
  preference:
    kind: virtualmachineclusterpreference
    name: fedora.arm64
  runStrategy: Always
  template:
    metadata:
      creationTimestamp: null
      labels:
        network.kubevirt.io/headlessService: headless
    spec:
      architecture: arm64
      domain:
        devices:
          autoattachPodInterface: false
          interfaces:
            - macAddress: '02:50:78:ba:f5:e5'
              masquerade: {}
              name: default
        firmware:
          uuid: 9de1a313-9723-43a4-97db-863a74fd67bc
        machine:
          type: virt-rhel9.6.0
        resources: {}
      networks:
        - name: default
          pod: {}
      nodeSelector:
        kubernetes.io/arch: arm64
      subdomain: headless
      volumes:
        - dataVolume:
            name: fedora-crimson-cricket-53-volume
          name: rootdisk
        - cloudInitNoCloud:
            userData: |
              #cloud-config
              chpasswd:
                expire: false
              password: o3dx-9nfp-wwyg
              user: fedora
          name: cloudinitdisk
status:
  observedGeneration: 1
  ready: true
  instancetypeRef:
    controllerRevisionRef:
      name: fedora-crimson-cricket-53-u1.medium-v1beta1-a7fe9152-55c3-4277-8271-257bc5160553-1
    kind: virtualmachineclusterinstancetype
    name: u1.medium
  created: true
  desiredGeneration: 1
  preferenceRef:
    controllerRevisionRef:
      name: fedora-crimson-cricket-53-fedora.arm64-v1beta1-2f2479c4-a0b8-4923-a7e8-7d7b08394e28-1
    kind: virtualmachineclusterpreference
    name: fedora.arm64
  conditions:
    - lastProbeTime: null
      lastTransitionTime: '2025-09-10T08:46:33Z'
      status: 'True'
      type: Ready
    - lastProbeTime: null
      lastTransitionTime: null
      message: All of the VMI's DVs are bound and ready
      reason: AllDVsReady
      status: 'True'
      type: DataVolumesReady
    - lastProbeTime: null
      lastTransitionTime: null
      status: 'True'
      type: LiveMigratable
    - lastProbeTime: null
      lastTransitionTime: null
      status: 'True'
      type: StorageLiveMigratable
  printableStatus: Running
  volumeSnapshotStatuses:
    - enabled: true
      name: rootdisk
    - enabled: false
      name: cloudinitdisk
      reason: 'Snapshot is not supported for this volumeSource type [cloudinitdisk]'
  runStrategy: Always

